import numpy as np 
import cv2 

__all__ = ['MonogenicFilter', 'elastic_deformation']
from signal_transforms import MonogenicFilter


def elastic_deformation(src, dst=None, sigma=4., alpha=34.):
    if dst is None:
        dst = np.zeros_like(src)

    hi, lo = 1.0, -1.0

    dx, dy = np.random.random(2) * 2.0 - 1.0 # random numbers in (-1, 1)

    kernel_shape = (sigma * 6.0 + 1.0, sigma * 6.0 + 1.0)
    cv2.GaussianBlur(dst, )

